Subject: RE: [mobile-ip] R (router) bit in BUs

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Wed, 17 Jul 2002 21:47:43 +0200

=> That's correct of course. But this discussion
is only related to the BU sent to the HA. The R
bit is not used to route packets for a prefix, but 
merely for ND reasons as per Francis' email. So, 
it should never be set in a BU to a CN. 

Hesham

  > 
  > Maybe I was confusing the issue with removing the routing
  > prefix, there I think the security issues were a part of
  > the story.  Or maybe not.
  > 
  > --Pekka
  > 
  > Vijay Devarapalli wrote:
  > > hi Pekka,
  > > 
  > > RR came much later. the 'R' bit was not there in draft 15. 
  > > 
  > > Vijay
  > > 
  > > Pekka Nikander wrote:
  > > 
  > >>One of the reasons why the R bit was taken away was
  > >>(and IMHO still is) security.  As far as I understand, the
  > >>RR method does not work for mobile routers, but I may
  > >>be wrong.  Furthermore, I haven't been following closely
  > >>enough, so I don't know if the base spec IPsec method
  > >>(for MN-HA security) is now clear enough so that the
  > >>R bit could be put back form MN-HA BUs.  But AFAIK we still
  > >>cannot use it for MN-CN BUs, due to these security
  > >>consideratiosn.
  > >>
  > >>Maybe someone who has followed more closely the recent
  > >>security clarifications could add something here?
  > >>
  > >>--Pekka
  > >>
  > >>Vijay Devarapalli wrote:
  > >>
  > >>>it is perfectly fine with me if the 'R' bit is put back in the
  > >>>MIPv6 spec.
  > >>>
  > >>>Vijay
  > >>>
  > >>>Francis Dupont wrote:
  > >>>
  > >>>
  > >>>>In your previous mail you wrote:
  > >>>>
  > >>>>  > PS: the R bit was added in I-D 08 (at my request)
  > >>>>  > and lost in I-D 15 for an unknown reason (typo?).
  > >>>>
  > >>>>  I think it was removed when Mobile Routers were 
  > considered out of
  > >>>>  scope of the current spec. the prefix length field 
  > was also removed
  > >>>>  from the BU at the same time for the same reason. I 
  > thought it was
  > >>>>  the WG decision to remove all references to mobile 
  > routers in the
  > >>>>  base MIPv6 spec. I dont remember.
  > >>>>
  > >>>>=> if this is the reason it is a bad one because a MR 
  > is two different
  > >>>>things:
  > >>>>- a node which is a router too but in this context acts 
  > as a host
  > >>>>  (cf. the so called "host function" of routers in IPv4)
  > >>>>- a mobile router in the NEMO termonology.
  > >>>>The R bit belongs to the first part so should *not* be 
  > removed as the
  > >>>>prefix length of second part.
  > >>>>
  > >>>>  anyway we have defined the 'R' bit in 
  > draft-kniveton-mobrtr-02.txt
  > >>>>  (and a separate prefix option)
  > >>>>
  > >>>>=> in order to make the mobile router draft sound the R 
  > bit should be
  > >>>>reserved in the MN document, so there is no real 
  > argument against
  > >>>>to put it back into the MN document. Of course, this does *not*
  > >>>>applies to the prefix option.
  > >>>>
  > >>>>Regards
  > >>>>
  > >>>>[email-masked]
  > >>>
  > 
  >